# IRfBaseSet Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | Attach ([in] IRsNode *pNode)
HRESULT | GetObject ([out, retval] IRsNode **ppNode)
HRESULT | CreateBaseFnSet ([in] IRsNode *pNode)
HRESULT | StoreInputConnections ([in] CONID con_id,[out] IRsConnectionList **ppConList)
HRESULT | StoreOutputConnections ([in] CONID con_id,[out] IRsConnectionList **ppConList)
HRESULT | RemoveInputConnections ([in] CONID con_id,[out] IRsConnectionList **ppConList)
HRESULT | GetConnections ([in] CONID con_id,[out] IRsConnectionList **ppConnectionList)
HRESULT | GetAllConnections ([out] IRsConnectionList **ppList)
HRESULT | InvalidateAllCon (void)

## Detailed Description

Node function set. Contains set of helper functions to manipulate IRsBaseNode.

## Member Function Documentation

HRESULT IRfBaseSet::Attach | ( | [in] IRsNode * | pNode | ) |

Attaches the function set to specified node.

Parameters:

  | pNode | [in] Node to attach to.

HRESULT IRfBaseSet::GetObject | ( | [out, retval] IRsNode ** | ppNode | ) |

Returns currently attached node.

Returns:
  ppNode [out,retval] Returned currently attached node.

HRESULT IRfBaseSet::CreateBaseFnSet | ( | [in] IRsNode * | pNode | ) |

Creates base fn set (unsupported)

Parameters:

  | pNode | [in] .

HRESULT IRfBaseSet::StoreInputConnections | ( | [in] CONID | con_id,
|  | [out] IRsConnectionList ** | ppConList |
| ) |  |  |

Enumerates input connections for connector of specifed GUID on attached node.

Parameters:

  | con_id | [in] Connector for which input connections will be enumerated.
  | ppConList | [out] Returned list of connections.

HRESULT IRfBaseSet::StoreOutputConnections | ( | [in] CONID | con_id,
|  | [out] IRsConnectionList ** | ppConList |
| ) |  |  |

Enumerates output connections for connector of specified GUID on attached node.

Parameters:

  | con_id | [in] Connector for which output connections will be enumerated.
  | ppConList | [out] Returned list of connections.

HRESULT IRfBaseSet::RemoveInputConnections | ( | [in] CONID | con_id,
|  | [out] IRsConnectionList ** | ppConList |
| ) |  |  |

Removes all input connections for specified connector and returns their list.

Parameters:

  | con_id | [in] Connector for which input connections will be removed.
  | ppConList | [out] List of removed connections.

HRESULT IRfBaseSet::GetConnections | ( | [in] CONID | con_id,
|  | [out] IRsConnectionList ** | ppConnectionList |
| ) |  |  |

Gets all (input and output) connections for specified connector.

Parameters:

  | con_id | [in] Connector for which connections will be enumerated.
  | ppConnectionList | [out] List of connections.

HRESULT IRfBaseSet::GetAllConnections | ( | [out] IRsConnectionList ** | ppList | ) |

Gets all connections for all connectors contained in attached node.

Parameters:

  | ppList | [out] List of enumerated connections.

HRESULT IRfBaseSet::InvalidateAllCon | ( | void |  | ) |

Invalidates all connectors for attached node.